package de.htwsaar.webshop.service;

import de.htwsaar.webshop.model.CatMonthModel;
import de.htwsaar.webshop.model.OrderStatus;

import java.util.Map;
import java.util.List;
import java.util.UUID;

public interface StatisticsService {
    CatMonthModel<Integer> getSalesVolume();

    CatMonthModel<Integer> getSalesRevenue();

    Map<OrderStatus, Integer> getOrderStatus();

    Map<String, Map<Integer, Integer>> getStockPercent();

}
